
Redmine - Patch #27625

Increase maximum size for role name

2017-11-23 11:19 - Aleksandar Pavic

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version: 4.1.0   

Description

It is limited in model of Role, at line 84

  validates_length_of :name, :maximum => 30

 Attached is a patch, increasing it to 255, however I wouldn't limit it at all.

Also migration is added here.

Associated revisions

Revision 18296 - 2019-06-20 15:59 - Jean-Philippe Lang

Increase maximum size for role name (#27625).

Patch by Aleksandar Pavic.

History

#1 - 2017-11-23 11:37 - Aleksandar Pavic

- File 20171123100727_change_roles_limit.rb added

Updated migration, since rails didn't put any content into it...

#2 - 2017-12-16 12:10 - Toshi MARUYAMA

- Target version set to 4.1.0

#3 - 2019-05-06 16:23 - Go MAEDA

- Category changed from Code cleanup/refactoring to Permissions and roles

#4 - 2019-06-20 15:59 - Jean-Philippe Lang

- Subject changed from Increase size of name for role name to Increase maximum size for role name

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

Files

role.patch 510 Bytes 2017-11-23 Aleksandar Pavic

20171123100727_change_roles_limit.rb 72 Bytes 2017-11-23 Aleksandar Pavic

20171123100727_change_roles_limit.rb 239 Bytes 2017-11-23 Aleksandar Pavic
